<?php



$tdatatb_cclinico_contatos = array();
$tdatatb_cclinico_contatos[".searchableFields"] = array();
$tdatatb_cclinico_contatos[".ShortName"] = "tb_cclinico_contatos";
$tdatatb_cclinico_contatos[".OwnerID"] = "";
$tdatatb_cclinico_contatos[".OriginalTable"] = "tb_cclinico_contatos";


$tdatatb_cclinico_contatos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_cclinico_contatos[".originalPagesByType"] = $tdatatb_cclinico_contatos[".pagesByType"];
$tdatatb_cclinico_contatos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_cclinico_contatos[".originalPages"] = $tdatatb_cclinico_contatos[".pages"];
$tdatatb_cclinico_contatos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_cclinico_contatos[".originalDefaultPages"] = $tdatatb_cclinico_contatos[".defaultPages"];

//	field labels
$fieldLabelstb_cclinico_contatos = array();
$fieldToolTipstb_cclinico_contatos = array();
$pageTitlestb_cclinico_contatos = array();
$placeHolderstb_cclinico_contatos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_cclinico_contatos["English"] = array();
	$fieldToolTipstb_cclinico_contatos["English"] = array();
	$placeHolderstb_cclinico_contatos["English"] = array();
	$pageTitlestb_cclinico_contatos["English"] = array();
	$fieldLabelstb_cclinico_contatos["English"]["cclinico_contatoID"] = "ContatoID";
	$fieldToolTipstb_cclinico_contatos["English"]["cclinico_contatoID"] = "";
	$placeHolderstb_cclinico_contatos["English"]["cclinico_contatoID"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["ccclinicoID"] = "CC ID";
	$fieldToolTipstb_cclinico_contatos["English"]["ccclinicoID"] = "";
	$placeHolderstb_cclinico_contatos["English"]["ccclinicoID"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["ala"] = "Ala";
	$fieldToolTipstb_cclinico_contatos["English"]["ala"] = "";
	$placeHolderstb_cclinico_contatos["English"]["ala"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["responsavel"] = "Responsável ";
	$fieldToolTipstb_cclinico_contatos["English"]["responsavel"] = "";
	$placeHolderstb_cclinico_contatos["English"]["responsavel"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["cargo"] = "Cargo";
	$fieldToolTipstb_cclinico_contatos["English"]["cargo"] = "";
	$placeHolderstb_cclinico_contatos["English"]["cargo"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["fone"] = "Fone";
	$fieldToolTipstb_cclinico_contatos["English"]["fone"] = "";
	$placeHolderstb_cclinico_contatos["English"]["fone"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["whatsapp"] = "Whatsapp";
	$fieldToolTipstb_cclinico_contatos["English"]["whatsapp"] = "";
	$placeHolderstb_cclinico_contatos["English"]["whatsapp"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["email"] = "Email";
	$fieldToolTipstb_cclinico_contatos["English"]["email"] = "";
	$placeHolderstb_cclinico_contatos["English"]["email"] = "";
	$fieldLabelstb_cclinico_contatos["English"]["notas"] = "Observações ";
	$fieldToolTipstb_cclinico_contatos["English"]["notas"] = "";
	$placeHolderstb_cclinico_contatos["English"]["notas"] = "";
	$pageTitlestb_cclinico_contatos["English"]["add"] = "Centro clinico -  Contatos, Add new";
	if (count($fieldToolTipstb_cclinico_contatos["English"]))
		$tdatatb_cclinico_contatos[".isUseToolTips"] = true;
}


	$tdatatb_cclinico_contatos[".NCSearch"] = true;



$tdatatb_cclinico_contatos[".shortTableName"] = "tb_cclinico_contatos";
$tdatatb_cclinico_contatos[".nSecOptions"] = 0;

$tdatatb_cclinico_contatos[".mainTableOwnerID"] = "";
$tdatatb_cclinico_contatos[".entityType"] = 0;

$tdatatb_cclinico_contatos[".strOriginalTableName"] = "tb_cclinico_contatos";

	



$tdatatb_cclinico_contatos[".showAddInPopup"] = false;

$tdatatb_cclinico_contatos[".showEditInPopup"] = false;

$tdatatb_cclinico_contatos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_cclinico_contatos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_cclinico_contatos[".listAjax"] = false;
//	temporary
$tdatatb_cclinico_contatos[".listAjax"] = false;

	$tdatatb_cclinico_contatos[".audit"] = false;

	$tdatatb_cclinico_contatos[".locking"] = false;


$pages = $tdatatb_cclinico_contatos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_cclinico_contatos[".edit"] = true;
	$tdatatb_cclinico_contatos[".afterEditAction"] = 0;
	$tdatatb_cclinico_contatos[".closePopupAfterEdit"] = 1;
	$tdatatb_cclinico_contatos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_cclinico_contatos[".add"] = true;
$tdatatb_cclinico_contatos[".afterAddAction"] = 0;
$tdatatb_cclinico_contatos[".closePopupAfterAdd"] = 1;
$tdatatb_cclinico_contatos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_cclinico_contatos[".list"] = true;
}



$tdatatb_cclinico_contatos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_cclinico_contatos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_cclinico_contatos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_cclinico_contatos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_cclinico_contatos[".printFriendly"] = true;
}



$tdatatb_cclinico_contatos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_cclinico_contatos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_cclinico_contatos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_cclinico_contatos[".isUseAjaxSuggest"] = true;

$tdatatb_cclinico_contatos[".rowHighlite"] = true;





$tdatatb_cclinico_contatos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_cclinico_contatos[".buttonsAdded"] = false;

$tdatatb_cclinico_contatos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_cclinico_contatos[".isUseTimeForSearch"] = false;


$tdatatb_cclinico_contatos[".badgeColor"] = "008b8b";


$tdatatb_cclinico_contatos[".allSearchFields"] = array();
$tdatatb_cclinico_contatos[".filterFields"] = array();
$tdatatb_cclinico_contatos[".requiredSearchFields"] = array();

$tdatatb_cclinico_contatos[".googleLikeFields"] = array();
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "cclinico_contatoID";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "ccclinicoID";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "ala";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "responsavel";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "cargo";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "fone";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "whatsapp";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "email";
$tdatatb_cclinico_contatos[".googleLikeFields"][] = "notas";



$tdatatb_cclinico_contatos[".tableType"] = "list";

$tdatatb_cclinico_contatos[".printerPageOrientation"] = 0;
$tdatatb_cclinico_contatos[".nPrinterPageScale"] = 100;

$tdatatb_cclinico_contatos[".nPrinterSplitRecords"] = 40;

$tdatatb_cclinico_contatos[".geocodingEnabled"] = false;










$tdatatb_cclinico_contatos[".pageSize"] = 20;

$tdatatb_cclinico_contatos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_cclinico_contatos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_cclinico_contatos[".orderindexes"] = array();

$tdatatb_cclinico_contatos[".sqlHead"] = "SELECT cclinico_contatoID,  	ccclinicoID,  	ala,  	responsavel,  	cargo,  	fone,  	whatsapp,  	email,  	notas";
$tdatatb_cclinico_contatos[".sqlFrom"] = "FROM tb_cclinico_contatos";
$tdatatb_cclinico_contatos[".sqlWhereExpr"] = "";
$tdatatb_cclinico_contatos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_cclinico_contatos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_cclinico_contatos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_cclinico_contatos[".highlightSearchResults"] = true;

$tableKeystb_cclinico_contatos = array();
$tableKeystb_cclinico_contatos[] = "cclinico_contatoID";
$tdatatb_cclinico_contatos[".Keys"] = $tableKeystb_cclinico_contatos;


$tdatatb_cclinico_contatos[".hideMobileList"] = array();




//	cclinico_contatoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cclinico_contatoID";
	$fdata["GoodName"] = "cclinico_contatoID";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","cclinico_contatoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "cclinico_contatoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cclinico_contatoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["cclinico_contatoID"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "cclinico_contatoID";
//	ccclinicoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ccclinicoID";
	$fdata["GoodName"] = "ccclinicoID";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","ccclinicoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ccclinicoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ccclinicoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["ccclinicoID"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "ccclinicoID";
//	ala
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ala";
	$fdata["GoodName"] = "ala";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","ala");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ala";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ala";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["ala"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "ala";
//	responsavel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "responsavel";
	$fdata["GoodName"] = "responsavel";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","responsavel");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "responsavel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "responsavel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["responsavel"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "responsavel";
//	cargo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cargo";
	$fdata["GoodName"] = "cargo";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","cargo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cargo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cargo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["cargo"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "cargo";
//	fone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "fone";
	$fdata["GoodName"] = "fone";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","fone");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["fone"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "fone";
//	whatsapp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "whatsapp";
	$fdata["GoodName"] = "whatsapp";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","whatsapp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whatsapp";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whatsapp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["whatsapp"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "whatsapp";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "email";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["email"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "email";
//	notas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "notas";
	$fdata["GoodName"] = "notas";
	$fdata["ownerTable"] = "tb_cclinico_contatos";
	$fdata["Label"] = GetFieldLabel("tb_cclinico_contatos","notas");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "notas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "notas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cclinico_contatos["notas"] = $fdata;
		$tdatatb_cclinico_contatos[".searchableFields"][] = "notas";


$tables_data["tb_cclinico_contatos"]=&$tdatatb_cclinico_contatos;
$field_labels["tb_cclinico_contatos"] = &$fieldLabelstb_cclinico_contatos;
$fieldToolTips["tb_cclinico_contatos"] = &$fieldToolTipstb_cclinico_contatos;
$placeHolders["tb_cclinico_contatos"] = &$placeHolderstb_cclinico_contatos;
$page_titles["tb_cclinico_contatos"] = &$pageTitlestb_cclinico_contatos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_cclinico_contatos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_cclinico_contatos"] = array();



	
				$strOriginalDetailsTable="tb_centros_clinicos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_centros_clinicos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_centros_clinicos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_cclinico_contatos"][0] = $masterParams;
				$masterTablesData["tb_cclinico_contatos"][0]["masterKeys"] = array();
	$masterTablesData["tb_cclinico_contatos"][0]["masterKeys"][]="cclinicoID";
				$masterTablesData["tb_cclinico_contatos"][0]["detailKeys"] = array();
	$masterTablesData["tb_cclinico_contatos"][0]["detailKeys"][]="ccclinicoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_cclinico_contatos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cclinico_contatoID,  	ccclinicoID,  	ala,  	responsavel,  	cargo,  	fone,  	whatsapp,  	email,  	notas";
$proto0["m_strFrom"] = "FROM tb_cclinico_contatos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cclinico_contatoID",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto6["m_sql"] = "cclinico_contatoID";
$proto6["m_srcTableName"] = "tb_cclinico_contatos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ccclinicoID",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto8["m_sql"] = "ccclinicoID";
$proto8["m_srcTableName"] = "tb_cclinico_contatos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ala",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto10["m_sql"] = "ala";
$proto10["m_srcTableName"] = "tb_cclinico_contatos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "responsavel",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto12["m_sql"] = "responsavel";
$proto12["m_srcTableName"] = "tb_cclinico_contatos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cargo",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto14["m_sql"] = "cargo";
$proto14["m_srcTableName"] = "tb_cclinico_contatos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "fone",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto16["m_sql"] = "fone";
$proto16["m_srcTableName"] = "tb_cclinico_contatos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "whatsapp",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto18["m_sql"] = "whatsapp";
$proto18["m_srcTableName"] = "tb_cclinico_contatos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto20["m_sql"] = "email";
$proto20["m_srcTableName"] = "tb_cclinico_contatos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "notas",
	"m_strTable" => "tb_cclinico_contatos",
	"m_srcTableName" => "tb_cclinico_contatos"
));

$proto22["m_sql"] = "notas";
$proto22["m_srcTableName"] = "tb_cclinico_contatos";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "tb_cclinico_contatos";
$proto25["m_srcTableName"] = "tb_cclinico_contatos";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "cclinico_contatoID";
$proto25["m_columns"][] = "ccclinicoID";
$proto25["m_columns"][] = "ala";
$proto25["m_columns"][] = "responsavel";
$proto25["m_columns"][] = "cargo";
$proto25["m_columns"][] = "fone";
$proto25["m_columns"][] = "whatsapp";
$proto25["m_columns"][] = "email";
$proto25["m_columns"][] = "notas";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "tb_cclinico_contatos";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "tb_cclinico_contatos";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_cclinico_contatos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_cclinico_contatos = createSqlQuery_tb_cclinico_contatos();


	
		;

									

$tdatatb_cclinico_contatos[".sqlquery"] = $queryData_tb_cclinico_contatos;

$tableEvents["tb_cclinico_contatos"] = new eventsBase;
$tdatatb_cclinico_contatos[".hasEvents"] = false;

?>